### File

`packages/components/layout/eui-header/header-search/header-search.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-header-search`
imports | `FormsModule` `EuiIconModule` `EuiButtonModule` `EuiInputTextModule` `EuiInputGroupModule`
templateUrl | `./header-search.component.html`
styleUrl | `./header-search.component.scss`

### Index

###### Properties
cssClass
###### Methods
onSearch
###### Inputs
placeholder searchLabel
###### Outputs
searchClick
###### HostBindings
class

### Inputs

placeholder
Type : `string`
Default value : `'Welcome'`

searchLabel
Type : `string`
Default value : `'acting as'`

### Outputs

searchClick
Type : `EventEmitter<string>`

### HostBindings

class
Type : `string`
Default value : `'eui-header-search'`

### Methods

onSearch
`onSearch()`
Returns : `void`

### Properties

cssClass
Type : `string`
Default value : `'eui-header-search'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""